> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hirehive.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get forms

> Get a paginated list of forms



## OpenAPI

````yaml get /v1.0/{company_id}/forms/application
openapi: 3.0.0
info:
  title: HireHive API reference
  termsOfService: https://www.hirehive.com/terms/
  contact:
    email: support@hirehive.com
  version: v1.0
servers:
  - url: https://api.hirehive.com
security:
  - bearerAuth: []
paths:
  /v1.0/{company_id}/forms/application:
    get:
      tags:
        - JobForms
      operationId: JobForms_GetForms
      parameters:
        - name: company_id
          in: path
          required: true
          schema:
            type: string
            format: string
          x-position: 1
        - name: type
          in: query
          schema:
            $ref: '#/components/schemas/FormTypeEnum'
            nullable: true
          x-position: 2
        - name: include_archived_questions_and_options
          in: query
          description: Include archived questions and options in the response
          schema:
            type: boolean
          x-position: 3
        - name: page
          in: query
          description: Defaults to 1
          schema:
            type: integer
            format: int32
          x-position: 4
        - name: page_size
          in: query
          description: Defaults to 30. Min = 1. Max = 100
          schema:
            type: integer
            format: int32
            maximum: 100
            minimum: 1
          x-position: 5
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PagedResponseOfCompanyFormDto'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
components:
  schemas:
    FormTypeEnum:
      type: string
      description: ''
      x-enumNames:
        - ApplicationQuestions
        - FollowUpQuestions
        - FeedbackForm
      enum:
        - application_questions
        - follow_up_questions
        - feedback_form
    PagedResponseOfCompanyFormDto:
      type: object
      additionalProperties: false
      properties:
        meta:
          $ref: '#/components/schemas/Meta'
        links:
          $ref: '#/components/schemas/Links'
        items:
          type: array
          items:
            $ref: '#/components/schemas/CompanyFormDto'
    ValidationProblemDetails:
      type: object
      additionalProperties:
        nullable: true
      properties:
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
    Meta:
      type: object
      additionalProperties: false
      properties:
        page_size:
          type: integer
          format: int32
        page:
          type: integer
          format: int32
        total_items:
          type: integer
          format: int32
        total_pages:
          type: integer
          format: int32
        has_next_page:
          type: boolean
        has_previous_page:
          type: boolean
    Links:
      type: object
      additionalProperties: false
      properties:
        first:
          type: string
        last:
          type: string
        next:
          type: string
        previous:
          type: string
    CompanyFormDto:
      type: object
      additionalProperties: false
      required:
        - questions
      properties:
        questions:
          type: array
          items:
            $ref: '#/components/schemas/FormQuestion'
        id:
          type: string
          format: int32
          nullable: true
        name:
          type: string
        type:
          $ref: '#/components/schemas/FormTypeEnum'
        used_in:
          type: integer
          format: int32
    FormQuestion:
      type: object
      additionalProperties: false
      required:
        - type
      properties:
        id:
          type: string
          format: int32
          nullable: true
        type:
          $ref: '#/components/schemas/Elements'
        question:
          type: string
        description:
          type: string
        options:
          type: array
          items:
            $ref: '#/components/schemas/FormOptions'
        required:
          type: boolean
        restricted:
          type: boolean
        archived:
          type: boolean
        display_order:
          type: integer
          format: int32
    Elements:
      type: string
      description: ''
      x-enumNames:
        - Textbox
        - TextArea
        - Radio
        - Checkbox
        - Dropdown
        - Upload
        - Header
        - Scorecard
      enum:
        - textbox
        - text_area
        - radio
        - checkbox
        - dropdown
        - upload
        - header
        - scorecard
    FormOptions:
      type: object
      additionalProperties: false
      required:
        - label
      properties:
        id:
          type: string
          format: int32
          nullable: true
        label:
          type: string
          minLength: 1
        description:
          type: string
        tag:
          $ref: '#/components/schemas/TagOption'
        archived:
          type: boolean
    TagOption:
      type: object
      additionalProperties: false
      properties:
        id:
          type: string
          format: int32
        name:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````